View Issue Details

IDProjectCategoryView StatusLast Update
0003084PartDesignBugpublic2018-01-22 21:05
ReporterabdullahAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003084: PDN: Deleting features in the middle of the tree fails to update next features dependency (inlist)
DescriptionApparently when deleting a feature in the middle of a body, the features after the deleted feature are not linked to the previous feature anymore, they are assigned directly to body.

NOTE: The features were deleted having Part WB active instead of PDN. It should not bear any significance, but it is here noted for completeness.
Steps To Reproduce1. Do a PDN tree with several features.
2. Delete one feature in the middle.
3. The feature that was after the deleted feature now it is linked directly to body in the dependency graph, and will not continue the continuous solid from the previous feature. If it a pad it will just pad on thin air as if the previous features weren't there.

Additional InformationWorkaround:
- Use PDN "move this object after object" functionality to regain the order.
TagsNo tags attached.

Relationships

related to 0003061 assignedabdullah "Move object after other object" function causes chaos 
related to 0003312 closedabdullah Tip gets lost in Part Design body 

Activities

abdullah

2018-01-13 18:35

manager   ~0010759

https://github.com/FreeCAD/FreeCAD/pull/1224

wmayer

2018-01-22 21:05

administrator   ~0010819

https://github.com/FreeCAD/FreeCAD/commit/f64760b8a3dabf9d218418f6a3980d900b39d703

Issue History

Date Modified Username Field Change
2017-06-16 02:06 abdullah New Issue
2017-06-16 02:06 abdullah Status new => assigned
2017-06-16 02:06 abdullah Assigned To => abdullah
2018-01-11 14:26 abdullah Relationship added related to 0003061
2018-01-13 18:35 abdullah Note Added: 0010759
2018-01-15 15:42 abdullah Summary PDN: Deleting features in the middle of the tree fails to update next features support => PDN: Deleting features in the middle of the tree fails to update next features dependency (inlist)
2018-01-15 15:42 abdullah Description Updated View Revisions
2018-01-15 15:42 abdullah Steps to Reproduce Updated View Revisions
2018-01-22 20:11 wmayer Relationship added related to 0003312
2018-01-22 21:05 wmayer Status assigned => closed
2018-01-22 21:05 wmayer Resolution open => fixed
2018-01-22 21:05 wmayer Fixed in Version => 0.17
2018-01-22 21:05 wmayer Note Added: 0010819